Bug 507899

Summary: qemu's console-via-VNC generates invalid rect position(s)
Product: [Fedora] Fedora Reporter: Gilboa Davara <gilboad>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 13CC: alexey.pushkin, dwmw2, gcosta, itamar, jan.kratochvil, jaswinder, markmc, twoerner, virt-maint, xzary4hkvpvo
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: qemu-0.14.0-7.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-04 15:18:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 480594    
Attachments:
Description Flags
CentOS 5.3 startup script
none
tcpflow stream produced by qemu-kvm. none

Description Gilboa Davara 2009-06-24 12:28:55 EDT
Description of problem:
qemu-kvm, running a number of guests with their console redirected via VNC.
Both vinagre and vncviewer frequently disconnect from the guests.
vinagre does not return an error code (Only a generic "XXX disconnected").
vncviewer returns the following error code:
"Rect too big: 54288x1376 at 54032,37904 exceeds 800x600
...
Rect too big: 4096x2048 at 61440,1024 exceeds 800x600
..
Rect too big: 1792x0 at 9472,4096 exceeds 800x600
 main:        Rect too big
[gilboa@gilboa-work-lap Desktop]$ vncviewer localhost:2

TigerVNC Viewer for X version 0.0.90 - built May 21 2009 08:32:39
Copyright (C) 2002-2005 RealVNC Ltd.
Copyright (C) 2000-2006 TightVNC Group
Copyright (C) 2004-2009 Peter Astrand for Cendio AB
See http://www.tigervnc.org for information on TigerVNC.

Wed Jun 24 19:27:58 2009
 CConn:       connected to host localhost port 5902
 CConnection: Server supports RFB protocol version 3.8
 CConnection: Using RFB protocol version 3.8
 TXImage:     Using default colormap and visual, TrueColor, depth 24.
 CConn:       Using pixel format depth 24 (32bpp) little-endian rgb888
 CConn:       Using Tight encoding
Rect too big: 2560x0 at 16896,12288 exceeds 800x600

Wed Jun 24 19:28:00 2009
 main:        Rect too big

All clients boot in vesa modes. (vga=0x3xx).

Version-Release number of selected component (if applicable):


How reproducible:
Always.
Easily reproducible by flooding the console. (E.g. find /)

- Gilboa
Comment 1 Gilboa Davara 2009-06-24 12:31:15 EDT
Forgot to add:
qemu-0.10.5-3.fc11.x86_64
vgabios-0.6-0.5.b.fc11.noarch
Comment 2 Mark McLoughlin 2009-06-24 13:01:27 EDT
Thanks for the report

Could you include the qemu-kvm command line you used?
Comment 3 Gilboa Davara 2009-06-24 13:09:59 EDT
Created attachment 349279 [details]
CentOS 5.3 startup script
Comment 4 Gilboa Davara 2009-11-01 23:38:46 EST
I'm still getting nailed by the bug even after the latest round of qemu updates. (0.10.6-9.fc11 from updates-testing)

- Gilboa
Comment 5 Alexey Pushkin 2009-11-15 00:56:54 EST
I experience the same bug on Fedora-11.

qemu command line:
/usr/bin/qemu-kvm -vga std -S -M pc -m 1024 -smp 1 -name HAL-XP64 -uuid e9f68cdb-0dcc-13ff-3449-8435373e631a -monitor pty -pidfile /var/run/libvirt/qemu//HAL-XP64.pid -localtime -boot c -drive file=/var/lib/libvirt/images/HAL-XP64.img,if=ide,index=0,boot=on -drive file=,if=ide,media=cdrom,index=2 -net nic,macaddr=54:52:00:54:21:7c,vlan=0 -net tap,fd=16,vlan=0 -net nic,macaddr=54:52:00:0b:69:e3,vlan=1 -net tap,fd=17,vlan=1 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:0 -soundhw es1370

TigerVNC command line: vncviewer 127.0.0.1
Comment 6 Mark McLoughlin 2009-11-19 05:39:44 EST
Thanks guys

Note, AFAIK if you use libvirt to start the guest and virt-viewer to connect to the console, you won't see this issue. See:

   http://wiki.libvirt.org/page/QEMUSwitchToLibvirt

Not denying this is a qemu bug, just that we mostly focus our efforts on getting the qemu+libvirt combination to work well
Comment 7 Alexey Pushkin 2009-11-19 06:49:04 EST
Well, I haven't tried virt-viewer from the command line, 
but the viewer that runs in virt-manager (isn't it same thing as virt-viewer?) 
is even worse than TigerVNC -- it randomly stops saying "disconnected". 
In fact this is the main reason I'm using TigerVNC vncviewer -- 
it's easier to restart it.

P.S. The guest OS is Windows.
Comment 8 Alexey Pushkin 2009-11-19 06:58:39 EST
Here is the error message from virt-manager viewer:

TCP/IP error: VNC connection to hypervisor host got refused or disconnected!

I cannot be sure but I *think* this might be caused by the same problem as "rect too long" -- because the pattern is very similar -- it happens when for example scrolling windows in the guest OS.
Comment 9 Alexey Pushkin 2009-11-19 07:08:27 EST
BTW I tried 2 other VNC clients as well -- krdc and vinagre.
Same thing -- they randomly stop working, typically when scrolling windows.

As I said, most likely this is caused by the same problem with qemu.
Comment 10 Fedora Admin XMLRPC Client 2010-03-09 11:53:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2010-03-09 12:17:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Justin M. Forbes 2010-03-11 13:46:57 EST
Would you mind testing with qemu 0.12.3 in updates-testing for F-12 right now to see if this reproduces for you?
Comment 13 Dan Hollis 2010-03-21 07:49:04 EDT
incompatibility between qemu and vnc protocol.

solution here (from 2006)
http://www.linux-kvm.org/page/FAQ#.22rect_too_big.22_Message_when_using_VNC_Display

fixed it for me. btw fc12 is also bit by this.
Comment 14 Gilboa Davara 2010-03-21 10:04:17 EDT
Latest F12 package (qemu*-0.12.3-2.fc12.x86_64) seems to be working just fine.
Not only I managed to do a full $ find / on the guest without crash the VNC client on the host (vinagre), I no longer see garbage in text displays (as I used to in previous releases).

Kudos!

- Gilboa
Comment 15 Bug Zapper 2010-04-27 11:13:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Gilboa Davara 2010-04-28 15:38:10 EDT
Seems to be OK in F12. Please close.

Thanks,
Gilboa
Comment 17 Dan Hollis 2010-05-04 04:00:20 EDT
where the heck do you get this 0.12.3-2.fc12.x86_64, yum update still only shows 0.11
Comment 18 Gilboa Davara 2010-05-04 05:13:57 EDT
It's in updates-testing.

- Gilboa
Comment 19 Dan Hollis 2010-05-05 03:34:07 EDT
qemu-kvm-0.12.3-4.fc12.x86_64
qemu-common-0.12.3-4.fc12.x86_64
qemu-img-0.12.3-4.fc12.x86_64
qemu-kvm-tools-0.12.3-4.fc12.x86_64
qemu-system-x86-0.12.3-4.fc12.x86_64

i still get the bug with 0.12.3-4.x86_64. please keep this bug open.

Rect too big: 4294x4167 at 4293,4166 exceeds 720x400

behavior is even worse in some ways now, as there is now cases where screen updates get hung totally.
Comment 20 Gilboa Davara 2010-05-05 04:20:11 EDT
Are you seeing it in text consoles or X11?

- Gilboa
Comment 21 Dan Hollis 2010-05-05 23:11:59 EDT
text consoles. all my VMs are text only.
Comment 22 Gilboa Davara 2010-05-06 00:53:08 EDT
I've upgrade qemu to the latest packages from updates-testing.
I did a find / on the VM (which usually blows the VNC client) and it work just fine.

Which VGA card are you using in your VM's?

- Gilboa
Comment 23 Bug Zapper 2010-06-28 09:16:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 24 Jan Kratochvil 2010-12-26 22:56:55 EST
qemu-system-x86-0.12.5-1.fc13.x86_64
tigervnc-1.0.90-0.15.20100420svn4030.fc13.x86_64

 CConn:       connected to host localhost port 5911
 CConnection: Server supports RFB protocol version 3.8
 CConnection: Using RFB protocol version 3.8
 TXImage:     Using default colormap and visual, TrueColor, depth 24.
 CConn:       Using pixel format depth 24 (32bpp) little-endian rgb888
 CConn:       Using Tight encoding
Rect too big: 640x480 at 0,0 exceeds 720x400
 main:        Rect too big

It is easily reproducible by connecting very early during qemu-kvm startup.
But it occasionally happens also when VNC decides to switch encoding later during ongoing connection but that depends on network bandwidth etc.
Comment 25 Jan Kratochvil 2010-12-26 22:58:34 EST
Created attachment 470789 [details]
tcpflow stream produced by qemu-kvm.

nc -l 5911 <127.000.000.001.05910-127.000.000.001.45056 >/dev/null
vncviewer localhost:11
Comment 26 Bug Zapper 2011-06-02 13:59:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Gilboa Davara 2011-06-04 14:26:26 EDT
Can't seem to reproduce it under F14/F15.
Jan?
Comment 28 Jan Kratochvil 2011-06-04 15:18:48 EDT
At least with:
qemu-system-x86-0.14.0-7.fc15.x86_64
tigervnc-1.0.90-4.fc15.x86_64

I am no longer able to reproduce it.
Beware, on F14 running F15 qemu-kvm in chroot locks up X.